curl --request POST \
--url https://external.pleo.io/v1/chart-of-accounts:search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"companyId": "123e4567-e89b-12d3-a456-426614174011",
"excludeIfAssignedToCategory": false,
"excludeIfAssignedToContraAccount": false,
"archived": false,
"code": "2001",
"codes": [
"<string>"
],
"externalId": "123e4567-e89b-12d3-a456-426614174011",
"ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"name": "Bank Charges"
}
'import requests
url = "https://external.pleo.io/v1/chart-of-accounts:search"
payload = {
"companyId": "123e4567-e89b-12d3-a456-426614174011",
"excludeIfAssignedToCategory": False,
"excludeIfAssignedToContraAccount": False,
"archived": False,
"code": "2001",
"codes": ["<string>"],
"externalId": "123e4567-e89b-12d3-a456-426614174011",
"ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"name": "Bank Charges"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
companyId: '123e4567-e89b-12d3-a456-426614174011',
excludeIfAssignedToCategory: false,
excludeIfAssignedToContraAccount: false,
archived: false,
code: '2001',
codes: ['<string>'],
externalId: '123e4567-e89b-12d3-a456-426614174011',
ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
name: 'Bank Charges'
})
};
fetch('https://external.pleo.io/v1/chart-of-accounts:search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"accountingSystem": "xero",
"archived": false,
"code": "2001",
"companyId": "123e4567-e89b-12d3-a456-426614174006",
"externalId": "External Id",
"id": "123e4567-e89b-12d3-a456-426614174005",
"name": "Bank Charges",
"taxCodeExternalId": "IVA 20"
}
],
"pagination": {
"currentRequestPagination": {
"parameters": {}
},
"endCursor": "string",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "string",
"total": 1
}
}Fetch a list of accounts
Retrieves a list of accounts with companyId and other optional filters. Results are paginated.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Query Parameters
Lower bound of the page of data to return (cannot be used together with [after] or [offset]).
^[A-Z2-7=~]+$Upper bound of the page of data to return (cannot be used together with [before] or [offset]).
^[A-Z2-7=~]+$Offset of the page of data to return (cannot be used together with [before] or [after]).
x >= 0The maximum amount of items to return.
x >= 0The keys to sort the results by.
The order to sort the results by. Must be the same length as [sortingKeys]; one order per key.
ASC, ASC_NULLS_FIRST, ASC_NULLS_LAST, DESC, DESC_NULLS_FIRST, DESC_NULLS_LAST Body
Represents a request to search for accounts.
Filter by company ID.
"123e4567-e89b-12d3-a456-426614174011"
Exclude bookkeeping accounts assigned to a bookkeeping category.
false
Exclude bookkeeping accounts assigned to a contra account.
false
Filter by archived status.
false
Search by code.
"2001"
Search by a list of codes.
Search by a list of codes.
Search by external id.
"123e4567-e89b-12d3-a456-426614174011"
Filter by a list of account IDs.
Filter by a list of account IDs.
Search by name.
"Bank Charges"
Was this page helpful?